
c	Created: Wednesday, August 14, 1991 at 12:36 PM
c	 Movies.f
c	 FORTRAN Interface to the Macintosh Libraries

c	  Copyright Apple Computer, Inc. 1991
c	  All rights reserved
	
	
	
	
!!IFC NOt UsingIncludes
!!I Zeroinc.f
!!ENDC
	
!!IFC not GotQuickDraw
!!I QuickDraw.f
!!ENDC
!!IFC NOT GotAliases
!!I Aliases.f
!!ENDC
!!IFC NOT GotEvents
!!I Events.f
!!ENDC
!!IFC NOT GotComponents
!!I Components.f
!!ENDC
!!IFC NOT GotImageCompression
!!I ImageCompression.f
!!ENDC
	
	Character*4 gestaltQuickTime 
	Parameter (gestaltQuickTime = 'qtim')
	
	Character*4 MovieFileType 
	Parameter (MovieFileType = 'MooV')
	
	Character*4 VideoMediaType 
	Parameter (VideoMediaType = 'vide')
	Character*4 SoundMediaType 
	Parameter (SoundMediaType = 'soun')
	
	Integer*2 DoTheRightThing 
	Parameter (DoTheRightThing = 0)
	
	Integer*2 kFullVolume 
	Parameter (kFullVolume = $100)		! 8.8 format 
	Integer*2 kNoVolume 
	Parameter (kNoVolume = 0)
	
	
	Structure /MovieRecord /
	 Integer*4 data(0:0)
	End Structure
	Structure /Movie /
		Pointer /MovieRecord/ P
	End Structure
	
	Structure /TrackRecord /
	Integer*4 data(0:0)
	End Structure
	Structure /Track /
		Pointer /TrackRecord/ P
	End Structure
	
	Structure /MediaRecord /
		Integer*4 data(0:0)
	End Structure
	Structure /Media /
		Pointer /MediaRecord/ P
	End Structure
	
	Structure /UserDataRecord /
		Integer*4 data(0:0)
	End Structure
	Structure /UserData /
		Pointer /UserDataRecord/ P
	End Structure
	
	Structure /TrackEditStateRecord /
		Integer*4 data(0:0)
	End Structure
	Structure /TrackEditState /
		Pointer /TrackEditStateRecord/ P
	End Structure
	
	Structure /MovieEditStateRecord /
		Integer*4 data(0:0)
	End Structure
	Structure /MovieEditState /
		Pointer /MovieEditStateRecord/ P
	End Structure

	
c	TimeValue = Integer*4
c	TimeScale = Integer*4
	
	Structure /TimeBaseRecord /
		Integer*4 data(0:0)
	End Structure
	Structure /TimeBase /
		Pointer /TimeBaseRecord/ P
	End Structure

	Structure /CallBackRecord /
		Integer*4 data(0:0)
	End Structure
	Structure /QTCallBack /
		Pointer /CallBackRecord/ P
	End Structure

	Structure /Int64 /
	 Integer*4 hi 
	 Integer*4 lo 
	End Structure
	
	Structure /TimeRecord /
	 Record /Int64/ value 
	 Integer*4 scale 
	 Record /TimeBase/ base 
	End Structure
	
	Structure /SampleDescription /
	 Integer*4 descSize 
	 Integer*4 dataFormat 
	End Structure
	Structure /SampleDescriptionPtr /
		Pointer /SampleDescription/ P
	End Structure
	Structure /SampleDescriptionHandle /
		Pointer /SampleDescriptionPtr/ H
	End Structure
	
	Structure /SoundDescription /
	 Integer*4 descSize 
	 Integer*4 dataFormat 
	 Integer*4 resvd1 
	 Integer*2 resvd2 
	 Integer*2 dataRefIndex 
	 Integer*2 version 
	 Integer*2 revlevel 
	 Integer*4 vendor 
	 Integer*2 numChannels 
	 Integer*2 sampleSize 
	 Integer*2 compressionID 
	 Integer*2 packetSize 
	 Integer*4 sampleRate 
	End Structure
	Structure /SoundDescriptionPtr /
		Pointer /SoundDescription/ P
	End Structure
	Structure /SoundDescriptionHandle /
		Pointer /SoundDescriptionPtr/ H
	End Structure

	! progress messages 
	Integer*2 movieProgressOpen 
	Parameter (movieProgressOpen = 0)
	Integer*2 movieProgressUpdatePercent 
	Parameter (movieProgressUpdatePercent = 1)
	Integer*2 movieProgressClose 
	Parameter (movieProgressClose = 2)
	
	
	! progress operations 
	Integer*2 progressOpFlatten 
	Parameter (progressOpFlatten = 1)
	Integer*2 progressOpInsertTrackSegment 
	Parameter (progressOpInsertTrackSegment = 2)
	Integer*2 progressOpInsertMovieSegment 
	Parameter (progressOpInsertMovieSegment = 3)
	Integer*2 progressOpPaste 
	Parameter (progressOpPaste = 4)
	Integer*2 progressOpAddMovieSelection 
	Parameter (progressOpAddMovieSelection = 5)
	Integer*2 progressOpCopy 
	Parameter (progressOpCopy = 6)
	Integer*2 progressOpCut 
	Parameter (progressOpCut = 7)
	Integer*2 progressOpLoadMovieIntoRam 
	Parameter (progressOpLoadMovieIntoRam = 8)
	Integer*2 progressOpLoadTrackIntoRam 
	Parameter (progressOpLoadTrackIntoRam = 9)
	Integer*2 progressOpLoadMediaIntoRam 
	Parameter (progressOpLoadMediaIntoRam = 10)
	
	! media quality settings 
	Integer*2 mediaQualityDraft 
	Parameter (mediaQualityDraft = $0000)
	Integer*2 mediaQualityNormal 
	Parameter (mediaQualityNormal = $0040)
	Integer*2 mediaQualityBetter 
	Parameter (mediaQualityBetter = $0080)
	Integer*2 mediaQualityBest 
	Parameter (mediaQualityBest = $00C0)
	
c	MovieProgressProcPtr = ProcPtr	
c	MovieRgnCoverProc = ProcPtr	
c	MediaInformationHandle = Handle
c	MediaHandler = ComponentInstance
c	MediaHandlerComponent = Component
c	DataHandler = ComponentInstance
c	DataHandlerComponent = Component
c	HandlerError = ComponentResult
c	MovieController = ComponentInstance	
c	ErrorProcPtr = ProcPtr
c	MoviePreviewCallOutProc = ProcPtr
	
	Integer*2 newMovieActive 
	Parameter (newMovieActive = $1)
	Integer*2 newMovieDontResolveDataRefs 
	Parameter (newMovieDontResolveDataRefs = $2)
	Integer*2 newMovieDontAskUnresolvedDataRefs 
	Parameter (newMovieDontAskUnresolvedDataRefs = $4)
	
	Integer*2 trackUsageInMovie 
	Parameter (trackUsageInMovie = $2)
	Integer*2 trackUsageInPreview 
	Parameter (trackUsageInPreview = $4)
	Integer*2 trackUsageInPoster 
	Parameter (trackUsageInPoster = $8)
	
	Integer*2 mediaSampleNotSync 
	Parameter (mediaSampleNotSync = 1)
	
	Integer*2 nextTimeMediaSample 
	Parameter (nextTimeMediaSample = $1)
	Integer*2 nextTimeMediaEdit 
	Parameter (nextTimeMediaEdit = $2)
	Integer*2 nextTimeTrackEdit 
	Parameter (nextTimeTrackEdit = $4)
	Integer*2 nextTimeSyncSample 
	Parameter (nextTimeSyncSample = $8)
	Integer*2 nextTimeEdgeOK 
	Parameter (nextTimeEdgeOK = $2000)
	Integer*2 nextTimeIgnoreActiveSegment 
	Parameter (nextTimeIgnoreActiveSegment = $4000)
	
	Integer*4 createMovieFileDeleteCurFile 
	Parameter (createMovieFileDeleteCurFile = $80000000)
	Integer*4 createMovieFileDontCreateMovie 
	Parameter (createMovieFileDontCreateMovie = $40000000)
	Integer*4 createMovieFileDontOpenFile 
	Parameter (createMovieFileDontOpenFile = $20000000)
	
	Integer*2 flattenAddMovieToDataFork 
	Parameter (flattenAddMovieToDataFork = $1)
	Integer*2 flattenActiveTracksOnly 
	Parameter (flattenActiveTracksOnly = $4)
	Integer*2 flattenDontInterleaveFlatten 
	Parameter (flattenDontInterleaveFlatten = $8)
	
	Integer*2 movieScrapDontZeroScrap 
	Parameter (movieScrapDontZeroScrap = $1)
	Integer*2 movieScrapOnlyPutMovie 
	Parameter (movieScrapOnlyPutMovie = $2)
	
	Integer*2 hintsScrubMode 
	Parameter (hintsScrubMode = $1)
	
	Integer*2 dataRefSelfReference 
	Parameter (dataRefSelfReference = 1)
	Integer*2 dataRefWasNotResolved 
	Parameter (dataRefWasNotResolved = 2)
	
	Integer*2 movieInDataForkResID 
	Parameter (movieInDataForkResID = -1)	! magic res ID )
	
	Integer*2 couldNotResolveDataRef 
	Parameter (couldNotResolveDataRef = -2000)
	Integer*2 badImageDescription 
	Parameter (badImageDescription = -2001)
	Integer*2 badPublicMovieAtom 
	Parameter (badPublicMovieAtom = -2002)
	Integer*2 cantFindHandler 
	Parameter (cantFindHandler = -2003)
	Integer*2 cantOpenHandler 
	Parameter (cantOpenHandler = -2004)
	Integer*2 badComponentType 
	Parameter (badComponentType = -2005)
	Integer*2 noMediaHandler 
	Parameter (noMediaHandler = -2006)
	Integer*2 noDataHandler 
	Parameter (noDataHandler = -2007)
	Integer*2 invalidMedia 
	Parameter (invalidMedia = -2008)
	Integer*2 invalidTrack 
	Parameter (invalidTrack = -2009)
	Integer*2 invalidMovie 
	Parameter (invalidMovie = -2010)
	Integer*2 invalidSampleTable 
	Parameter (invalidSampleTable = -2011)
	Integer*2 invalidDataRef 
	Parameter (invalidDataRef = -2012)
	Integer*2 invalidHandler 
	Parameter (invalidHandler = -2013)
	Integer*2 invalidDuration 
	Parameter (invalidDuration = -2014)
	Integer*2 invalidTime 
	Parameter (invalidTime = -2015)
	Integer*2 cantPutPublicMovieAtom 
	Parameter (cantPutPublicMovieAtom = -2016)
	Integer*2 badEditList 
	Parameter (badEditList = -2017)
	Integer*2 mediaTypesDontMatch 
	Parameter (mediaTypesDontMatch = -2018)
	Integer*2 progressProcAborted 
	Parameter (progressProcAborted = -2019)
	Integer*2 movieToolboxUnitialized 
	Parameter (movieToolboxUnitialized = -2020)
	Integer*2 wfFileNotFound 
	Parameter (wfFileNotFound = -2021)
	Integer*2 cantCreateSingleForkFile 
	Parameter (cantCreateSingleForkFile = -2022)
	Integer*2 invalidEditState 
	Parameter (invalidEditState = -2023)
	Integer*2 nonMatchingEditState 
	Parameter (nonMatchingEditState = -2024)
	Integer*2 staleEditState 
	Parameter (staleEditState = -2025)
	Integer*2 userDataItemNotFound 
	Parameter (userDataItemNotFound = -2026)
	Integer*2 maxSizeToGrowTooSmall 
	Parameter (maxSizeToGrowTooSmall = -2027)
	Integer*2 badTrackIndex 
	Parameter (badTrackIndex = -2028)
	Integer*2 trackIDNotFound 
	Parameter (trackIDNotFound = -2029)
	Integer*2 trackNotInMovie 
	Parameter (trackNotInMovie = -2030)
	Integer*2 timeNotInTrack 
	Parameter (timeNotInTrack = -2031)
	Integer*2 timeNotInMedia 
	Parameter (timeNotInMedia = -2032)
	Integer*2 badEditIndex 
	Parameter (badEditIndex = -2033)
	Integer*2 internalQuickTimeError 
	Parameter (internalQuickTimeError = -2034)
	Integer*2 cantEnableTrack 
	Parameter (cantEnableTrack = -2035)
	Integer*2 invalidRect 
	Parameter (invalidRect = -2036)
	Integer*2 invalidSampleNum 
	Parameter (invalidSampleNum = -2037)
	Integer*2 invalidChunkNum 
	Parameter (invalidChunkNum = -2038)
	Integer*2 invalidSampleDescIndex 
	Parameter (invalidSampleDescIndex = -2039)
	Integer*2 invalidChunkCache 
	Parameter (invalidChunkCache = -2040)
	Integer*2 invalidSampleDescription 
	Parameter (invalidSampleDescription = -2041)
	Integer*2 dataNotOpenForRead 
	Parameter (dataNotOpenForRead = -2042)
	Integer*2 dataNotOpenForWrite 
	Parameter (dataNotOpenForWrite = -2043)
	Integer*2 dataAlreadyOpenForWrite 
	Parameter (dataAlreadyOpenForWrite = -2044)
	Integer*2 dataAlreadyClosed 
	Parameter (dataAlreadyClosed = -2045)
	Integer*2 endOfDataReached 
	Parameter (endOfDataReached = -2046)
	Integer*2 dataNoDataRef 
	Parameter (dataNoDataRef = -2047)
	Integer*2 noMovieFound 
	Parameter (noMovieFound = -2048)
	Integer*2 invalidDataRefContainer 
	Parameter (invalidDataRefContainer = -2049)
	Integer*2 badDataRefIndex 
	Parameter (badDataRefIndex = -2050)
	Integer*2 noDefaultDataRef 
	Parameter (noDefaultDataRef = -2051)
	Integer*2 couldNotUseAnExistingSample 
	Parameter (couldNotUseAnExistingSample = -2052)
	Integer*2 featureUnsupported 
	Parameter (featureUnsupported = -2053)
	
	Integer*2 loopTimeBase 
	Parameter (loopTimeBase = 1)
	Integer*2 palindromeLoopTimeBase 
	Parameter (palindromeLoopTimeBase = 2)

	! TimeBase Routines 
c	TimeBaseFlags = CHAR (byte)
	
	Integer*2 triggerTimeFwd 
	Parameter (triggerTimeFwd = $0001)		! when curTime exceeds triggerTime going forward )
	Integer*2 triggerTimeBwd 
	Parameter (triggerTimeBwd = $0002)		! when curTime exceeds triggerTime going backwards )
	Integer*2 triggerTimeEither 
	Parameter (triggerTimeEither = $0003)	! when curTime exceeds triggerTime going either direction )
	Integer*2 triggerRateLT 
	Parameter (triggerRateLT = $0004)		! when rate changes to less than trigger value )
	Integer*2 triggerRateGT 
	Parameter (triggerRateGT = $0008)		! when rate changes to greater than trigger value )
	Integer*2 triggerRateEqual 
	Parameter (triggerRateEqual = $0010)	! when rate changes to equal trigger value )
	Integer*2 triggerRateLTE 
	Parameter (triggerRateLTE = $0014)
	Integer*2 triggerRateGTE 
	Parameter (triggerRateGTE = $0018)
	Integer*2 triggerRateNotEqual 
	Parameter (triggerRateNotEqual = $001C)
	Integer*2 triggerRateChange 
	Parameter (triggerRateChange = 0)
	Integer*2 timeBaseBeforeStartTime 
	Parameter (timeBaseBeforeStartTime = 1)
	Integer*2 timeBaseAfterStopTime 
	Parameter (timeBaseAfterStopTime = 2)
	Integer*2 callBackAtTime 
	Parameter (callBackAtTime = 1)
	Integer*2 callBackAtRate 
	Parameter (callBackAtRate = 2)
	Integer*2 callBackAtTimeJump 
	Parameter (callBackAtTimeJump = 3)
	Integer*2 callBackAtInterrupt 
	Parameter (callBackAtInterrupt = $8000)
	
c	QTCallBackProc = ProcPtr
	
	Integer*2 qtcbNeedsRateChanges 
	Parameter (qtcbNeedsRateChanges = 1)
	Integer*2 qtcbNeedsTimeChanges 
	Parameter (qtcbNeedsTimeChanges = 2)
	
	! CallBack equates 
	Structure /QTCallBackHeader /
	 Integer*4 callBackFlags 
	 Integer*4 reserved1 
	 Byte qtPrivate(0:39)
	End Structure
		
	! Movie Controller Routines 
	Character*4 MovieControllerComponentType 
	Parameter (MovieControllerComponentType = 'play')
	
	Integer*2 mcActionIdle 
	Parameter (mcActionIdle = 1)
	Integer*2 mcActionDraw 
	Parameter (mcActionDraw = 2)
	Integer*2 mcActionActivate 
	Parameter (mcActionActivate = 3)
	Integer*2 mcActionDeactivate 
	Parameter (mcActionDeactivate = 4)
	Integer*2 mcActionMouseDown 
	Parameter (mcActionMouseDown = 5)
	Integer*2 mcActionKey 
	Parameter (mcActionKey = 6)
	Integer*2 mcActionPlay 
	Parameter (mcActionPlay = 8)
	Integer*2 mcActionGoToTime 
	Parameter (mcActionGoToTime = 12)
	Integer*2 mcActionSetVolume 
	Parameter (mcActionSetVolume = 14)
	Integer*2 mcActionGetVolume 
	Parameter (mcActionGetVolume = 15)
	Integer*2 mcActionStep 
	Parameter (mcActionStep = 18)
	Integer*2 mcActionSetLooping 
	Parameter (mcActionSetLooping = 21)
	Integer*2 mcActionGetLooping 
	Parameter (mcActionGetLooping = 22)
	Integer*2 mcActionSetLoopIsPalindrome 
	Parameter (mcActionSetLoopIsPalindrome = 23)
	Integer*2 mcActionGetLoopIsPalindrome 
	Parameter (mcActionGetLoopIsPalindrome = 24)
	Integer*2 mcActionSetGrowBoxBounds 
	Parameter (mcActionSetGrowBoxBounds = 25)
	Integer*2 mcActionControllerSizeChanged 
	Parameter (mcActionControllerSizeChanged = 26)
	Integer*2 mcActionSetSelection 
	Parameter (mcActionSetSelection = 29)
	Integer*2 mcActionSetSelectionDuration 
	Parameter (mcActionSetSelectionDuration = 30)
	Integer*2 mcActionSetPosterTime 
	Parameter (mcActionSetPosterTime = 31)
	Integer*2 mcActionSetKeysEnabled 
	Parameter (mcActionSetKeysEnabled = 32)
	Integer*2 mcActionGetKeysEnabled 
	Parameter (mcActionGetKeysEnabled = 33)
	Integer*2 mcActionSetPlaySelection 
	Parameter (mcActionSetPlaySelection = 34)
	Integer*2 mcActionGetPlaySelection 
	Parameter (mcActionGetPlaySelection = 35)
	Integer*2 mcActionSetUseBadge 
	Parameter (mcActionSetUseBadge = 36)
	Integer*2 mcActionGetUseBadge 
	Parameter (mcActionGetUseBadge = 37)
	Integer*2 mcActionSetFlags 
	Parameter (mcActionSetFlags = 38)
	Integer*2 mcActionGetFlags 
	Parameter (mcActionGetFlags = 39)
	Integer*2 mcActionSetPlayEveryFrame 
	Parameter (mcActionSetPlayEveryFrame = 40)
	Integer*2 mcActionGetPlayEveryFrame 
	Parameter (mcActionGetPlayEveryFrame = 41)
	Integer*2 mcActionGetPlayRate 
	Parameter (mcActionGetPlayRate = 42)
	Integer*2 mcActionShowBalloon 
	Parameter (mcActionShowBalloon = 43)
	Integer*2 mcActionBadgeClick 
	Parameter (mcActionBadgeClick = 44)

c	mcAction = Integer*2
c	MCActionFilter = ProcPtr
	
	Integer*2 mcFlagSuppressMovieFrame 
	Parameter (mcFlagSuppressMovieFrame = 1)
	Integer*2 mcFlagSuppressStepButtons 
	Parameter (mcFlagSuppressStepButtons = 2)
	Integer*2 mcFlagSuppressSpeakerButton 
	Parameter (mcFlagSuppressSpeakerButton = 4)
	Integer*2 mcFlagsUseWindowPalette 
	Parameter (mcFlagsUseWindowPalette = 8)
	
	Integer*2 mcTopLeftMovie 
	Parameter (mcTopLeftMovie = $1)
	Integer*2 mcScaleMovieToFit 
	Parameter (mcScaleMovieToFit = $2)
	Integer*2 mcWithBadge 
	Parameter (mcWithBadge = $4)
	Integer*2 mcNotVisible 
	Parameter (mcNotVisible = $8)
	Integer*2 mcWithFrame 
	Parameter (mcWithFrame = $10)
	Integer*2 mcInfoUndoAvailable 
	Parameter (mcInfoUndoAvailable = $1)
	Integer*2 mcInfoCutAvailable 
	Parameter (mcInfoCutAvailable = $2)
	Integer*2 mcInfoCopyAvailable 
	Parameter (mcInfoCopyAvailable = $4)
	Integer*2 mcInfoPasteAvailable 
	Parameter (mcInfoPasteAvailable = $8)
	Integer*2 mcInfoClearAvailable 
	Parameter (mcInfoClearAvailable = $10)
	Integer*2 mcInfoHasSound 
	Parameter (mcInfoHasSound = $20)
	Integer*2 mcInfoIsPlaying 
	Parameter (mcInfoIsPlaying = $40)
	Integer*2 mcInfoIsLooping 
	Parameter (mcInfoIsLooping = $80)
	Integer*2 mcInfoIsInPalindrome 
	Parameter (mcInfoIsInPalindrome = $100)
	Integer*2 mcInfoEditingEnabled 
	Parameter (mcInfoEditingEnabled = $200)
		
	! movie controller error codes 
	Integer*2 cannotMoveAttachedController 
	Parameter (cannotMoveAttachedController = -9999)
	Integer*2 controllerHasFixedHeight 
	Parameter (controllerHasFixedHeight = -9998)
	Integer*2 cannotSetWidthOfAttachedController 
	Parameter (cannotSetWidthOfAttachedController = -9997)
	Integer*2 controllerBoundsNotExact 
	Parameter (controllerBoundsNotExact = -9996)
	Integer*2 editingNotAllowed 
	Parameter (editingNotAllowed = -9995)
	Integer*2 badControllerHeight 
	Parameter (badControllerHeight = -9994)
	
	! movie controller routine selectors 
	Integer*2 kMCSetMovieSelect 
	Parameter (kMCSetMovieSelect = 2)
	Integer*2 kMCRemoveMovieSelect 
	Parameter (kMCRemoveMovieSelect = 3)
	Integer*2 kMCIsPlayerEventSelect 
	Parameter (kMCIsPlayerEventSelect = 7)
	Integer*2 kMCSetActionFilterSelect 
	Parameter (kMCSetActionFilterSelect = 8)
	Integer*2 kMCDoActionSelect 
	Parameter (kMCDoActionSelect = 9)
	Integer*2 kMCSetControllerAttachedSelect 
	Parameter (kMCSetControllerAttachedSelect = 10)
	Integer*2 kMCIsControllerAttachedSelect 
	Parameter (kMCIsControllerAttachedSelect = 11)
	Integer*2 kMCSetControllerPortSelect 
	Parameter (kMCSetControllerPortSelect = 12)
	Integer*2 kMCGetControllerPortSelect 
	Parameter (kMCGetControllerPortSelect = 13)
	Integer*2 kMCGetVisibleSelect 
	Parameter (kMCGetVisibleSelect = 14)
	Integer*2 kMCSetVisibleSelect 
	Parameter (kMCSetVisibleSelect = 15)
	Integer*2 kMCGetControllerBoundsRectSelect 
	Parameter (kMCGetControllerBoundsRectSelect = 16)
	Integer*2 kMCSetControllerBoundsRectSelect 
	Parameter (kMCSetControllerBoundsRectSelect = 17)
	Integer*2 kMCGetControllerBoundsRgnSelect 
	Parameter (kMCGetControllerBoundsRgnSelect = 18)
	Integer*2 kMCGetWindowRgnSelect 
	Parameter (kMCGetWindowRgnSelect = 19)
	Integer*2 kMCMovieChangedSelect 
	Parameter (kMCMovieChangedSelect = 20)
	Integer*2 kMCSetDurationSelect 
	Parameter (kMCSetDurationSelect = 21)
	Integer*2 kMCGetCurrentTimeSelect 
	Parameter (kMCGetCurrentTimeSelect = 22)
	Integer*2 kMCNewAttachedControllerSelect 
	Parameter (kMCNewAttachedControllerSelect = 23)
	Integer*2 kMCDrawSelect 
	Parameter (kMCDrawSelect = 24)
	Integer*2 kMCActivateSelect 
	Parameter (kMCActivateSelect = 25)
	Integer*2 kMCIdleSelect 
	Parameter (kMCIdleSelect = 26)
	Integer*2 kMCKeySelect 
	Parameter (kMCKeySelect = 27)
	Integer*2 kMCClickSelect 
	Parameter (kMCClickSelect = 28)
	Integer*2 kMCEnableEditingSelect 
	Parameter (kMCEnableEditingSelect = 29)
	Integer*2 kMCIsEditingEnabledSelect 
	Parameter (kMCIsEditingEnabledSelect = 30)
	Integer*2 kMCCopySelect 
	Parameter (kMCCopySelect = 31)
	Integer*2 kMCCutSelect 
	Parameter (kMCCutSelect = 32)
	Integer*2 kMCPasteSelect 
	Parameter (kMCPasteSelect = 33)
	Integer*2 kMCClearSelect 
	Parameter (kMCClearSelect = 34)
	Integer*2 kMCUndoSelect 
	Parameter (kMCUndoSelect = 35)
	Integer*2 kMCPositionControllerSelect 
	Parameter (kMCPositionControllerSelect = 36)
	Integer*2 kMCGetControllerInfoSelect 
	Parameter (kMCGetControllerInfoSelect = 37)
	Integer*2 kMCNewControllerFromFileSelect 
	Parameter (kMCNewControllerFromFileSelect = 38)
	Integer*2 kMCSetBadgePictSelect 
	Parameter (kMCSetBadgePictSelect = 39)
	Integer*2 kMCSetClipSelect 
	Parameter (kMCSetClipSelect = 40)
	Integer*2 kMCGetClipSelect 
	Parameter (kMCGetClipSelect = 41)
	Integer*2 kMCDrawBadgeSelect 
	Parameter (kMCDrawBadgeSelect = 42)
	
!!ENDC ! UsingMovies 
	
!!IFC NOT UsingIncludes
	 END.
!!ENDC
	
	